package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

/**
 * 初步诊断依据关系表
 * @TableName vp_diagnosis_primary_relation
 */
@TableName(value ="vp_diagnosis_primary_relation")
@Data
public class DiagnosisPrimaryRelation extends Model<DiagnosisPrimaryRelation> implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 问诊流程ID
     */
    private String processId;

    /**
     * 初步诊断ID
     */
    private String primaryId;

    /**
     * 1 问诊(vp_diagnosis_qa_record) 2 体格检查(vp_diagnosis_physical_record) 3 辅助检查(vp_diagnosis_ancillary_record)
     */
    private Integer type;

    /**
     * 关联关系ID
     */
    private String relationId;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}